#ifndef _KATA2HKATA_H
#define _KATA2HKATA_H

#include <glib.h>

typedef struct _k2hk {
  const gchar* kata;
  const gchar* hkata;
} k2hk;

k2hk twoway_table[] = {
  { ".", "." },
  { "―", "-" },
  { "’", "'" },
  { "”", "\"" },
  { "　", " " },
  { "、", "," },
  { "〜", "~" },
  { "゛", "ﾞ" },
  { "゜", "ﾟ" },
  { "ァ", "ｧ" },
  { "ア", "ｱ" },
  { "ィ", "ｨ" },
  { "イ", "ｲ" },
  { "ゥ", "ｩ" },
  { "ウ", "ｳ" },
  { "ェ", "ｪ" },
  { "エ", "ｴ" },
  { "ォ", "ｫ" },
  { "オ", "ｵ" },
  { "カ", "ｶ" },
  { "ガ", "ｶﾞ" },
  { "キ", "ｷ" },
  { "ギ", "ｷﾞ" },
  { "ク", "ｸ" },
  { "グ", "ｸﾞ" },
  { "ケ", "ｹ" },
  { "ゲ", "ｹﾞ" },
  { "コ", "ｺ" },
  { "ゴ", "ｺﾞ" },
  { "サ", "ｻ" },
  { "ザ", "ｻﾞ" },
  { "シ", "ｼ" },
  { "ジ", "ｼﾞ" },
  { "ス", "ｽ" },
  { "ズ", "ｽﾞ" },
  { "セ", "ｾ" },
  { "ゼ", "ｾﾞ" },
  { "ソ", "ｿ" },
  { "ゾ", "ｿﾞ" },
  { "タ", "ﾀ" },
  { "ダ", "ﾀﾞ" },
  { "チ", "ﾁ" },
  { "ヂ", "ﾁﾞ" },
  { "ッ", "ｯ" },
  { "ツ", "ﾂ" },
  { "ヅ", "ﾂﾞ" },
  { "テ", "ﾃ" },
  { "デ", "ﾃﾞ" },
  { "ト", "ﾄ" },
  { "ド", "ﾄﾞ" },
  { "ナ", "ﾅ" },
  { "ニ", "ﾆ" },
  { "ヌ", "ﾇ" },
  { "ネ", "ﾈ" },
  { "ノ", "ﾉ" },
  { "ハ", "ﾊ" },
  { "バ", "ﾊﾞ" },
  { "パ", "ﾊﾟ" },
  { "ヒ", "ﾋ" },
  { "ビ", "ﾋﾞ" },
  { "ピ", "ﾋﾟ" },
  { "フ", "ﾌ" },
  { "ブ", "ﾌﾞ" },
  { "プ", "ﾌﾟ" },
  { "ヘ", "ﾍ" },
  { "ベ", "ﾍﾞ" },
  { "ペ", "ﾍﾟ" },
  { "ホ", "ﾎ" },
  { "ボ", "ﾎﾞ" },
  { "ポ", "ﾎﾟ" },
  { "マ", "ﾏ" },
  { "ミ", "ﾐ" },
  { "ム", "ﾑ" },
  { "メ", "ﾒ" },
  { "モ", "ﾓ" },
  { "ャ", "ｬ" },
  { "ヤ", "ﾔ" },
  { "ュ", "ｭ" },
  { "ユ", "ﾕ" },
  { "ョ", "ｮ" },
  { "ヨ", "ﾖ" },
  { "ラ", "ﾗ" },
  { "リ", "ﾘ" },
  { "ル", "ﾙ" },
  { "レ", "ﾚ" },
  { "ロ", "ﾛ" },
  { "ワ", "ﾜ" },
  { "ヲ", "ｦ" },
  { "ン", "ﾝ" },
  { "ヴ", "ｳﾞ" },
  { "！", "!" },
  { "＃", "#" },
  { "＄", "$" },
  { "％", "%" },
  { "＆", "&" },
  { "（", "(" },
  { "）", ")" },
  { "＊", "*" },
  { "＋", "+" },
  { "／", "/" },
  { "０", "0" },
  { "１", "1" },
  { "２", "2" },
  { "３", "3" },
  { "４", "4" },
  { "５", "5" },
  { "６", "6" },
  { "７", "7" },
  { "８", "8" },
  { "９", "9" },
  { "：", ":" },
  { "；", ";" },
  { "＜", "<" },
  { "＝", "=" },
  { "＞", ">" },
  { "？", "?" },
  { "＠", "@" },
  { "Ａ", "A" },
  { "Ｂ", "B" },
  { "Ｃ", "C" },
  { "Ｄ", "D" },
  { "Ｅ", "E" },
  { "Ｆ", "F" },
  { "Ｇ", "G" },
  { "Ｈ", "H" },
  { "Ｉ", "I" },
  { "Ｊ", "J" },
  { "Ｋ", "K" },
  { "Ｌ", "L" },
  { "Ｍ", "M" },
  { "Ｎ", "N" },
  { "Ｏ", "O" },
  { "Ｐ", "P" },
  { "Ｑ", "Q" },
  { "Ｒ", "R" },
  { "Ｓ", "S" },
  { "Ｔ", "T" },
  { "Ｕ", "U" },
  { "Ｖ", "V" },
  { "Ｗ", "W" },
  { "Ｘ", "X" },
  { "Ｙ", "Y" },
  { "Ｚ", "Z" },
  { "［", "[" },
  { "］", "]" },
  { "＾", "^" },
  { "＿", "_" },
  { "｀", "`" },
  { "ａ", "a" },
  { "ｂ", "b" },
  { "ｃ", "c" },
  { "ｄ", "d" },
  { "ｅ", "e" },
  { "ｆ", "f" },
  { "ｇ", "g" },
  { "ｈ", "h" },
  { "ｉ", "i" },
  { "ｊ", "j" },
  { "ｋ", "k" },
  { "ｌ", "l" },
  { "ｍ", "m" },
  { "ｎ", "n" },
  { "ｏ", "o" },
  { "ｐ", "p" },
  { "ｑ", "q" },
  { "ｒ", "r" },
  { "ｓ", "s" },
  { "ｔ", "t" },
  { "ｕ", "u" },
  { "ｖ", "v" },
  { "ｗ", "w" },
  { "ｘ", "x" },
  { "ｙ", "y" },
  { "ｚ", "z" },
  { "｛", "{" },
  { "｜", "|" },
  { "｝", "}" },
  { "￥", "\\" },
};

k2hk zen2han_table[] = {
  { "＼", "\\" },
  { "ヵ", "ｶ" },
  { "ヶ", "ｹ" },
};

k2hk han2zen_table[] = {
};

#endif /* _KATA2HKATA_H */
